const URL = "/api/image";
const RELOAD_INTERVAL = 1000;

const renderImage = (image) => {
    document.querySelector("#wrapper img").src = (window.URL || window.webkitURL).createObjectURL(image);
};

const getImage = () => {
    return fetch(URL).then((response) => {
        if (response.status != 200) {
            throw Error(response.statusText);
        }
        return response.blob();
    });
};

const start = () => {
    getImage()
        .then((image) => {
            renderImage(image);
            setTimeout(start, RELOAD_INTERVAL);
        })
        .catch((e) => {
            alert(e);
            console.error(e);
        });
};

window.addEventListener("load", start);
